<?php
namespace Util\Instance;

use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DependencyInjection\InstanceManager;


class Service {

    /** @return  Service */
    public static function getInstance()
    {
        return new static();
    }
    
    /** @return  Service */
    public static function getProductServer()
    {
        return InstanceManager::getInstance()->getService('productServerService'); 
    }

    /** @return  \Service\ProductVersion */
    public static function getProductVersion()
    {
        return InstanceManager::getInstance()->getService('productVersionService');
    }

    /** @return  \Service\PmIntegration */
    public static function getPmIntegration()
    {
        return InstanceManager::getInstance()->getService('\Service\PmIntegration');
    }

    /** @return  \Service\Attachment */
    public static function getAttachment()
    {
        return InstanceManager::getInstance()->getService('\Service\Attachment');
    }

    /** @return  \Service\CreateTestEnvironmentScript */
    public static function getCreateTestEnvironmentScript()
    {
        return InstanceManager::getInstance()->getService('\Service\CreateTestEnvironmentScript');
    }

    /** @return  \Service\ShellScriptCommands */
    public static function getShellScriptCommands()
    {
        return InstanceManager::getInstance()->getService('\Service\ShellScriptCommands');
    }

}